repo/gentoo:master commit in: dev-python/orjson/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786777644.0bc6b335602027c743b8e2039661099e004e7000.mgorny@gentoo>
commit:     0bc6b335602027c743b8e2039661099e004e7000
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:39:47 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:24 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bc6b335

dev-python/orjson: Bump to 3.12.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/orjson/Manifest             |  2 ++
 dev-python/orjson/orjson-3.12.0.ebuild | 52 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index 508c08a8a9ee..bf13e69783a2 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -2,3 +2,5 @@ DIST orjson-3.11.8.tar.gz 5603832 BLAKE2B 895154266572e55004dc967c856557ce260875
 DIST orjson-3.11.8.tar.gz.provenance 9132 BLAKE2B 6a70c30ec7df624644df3ab7c001bcf84f88f6a0ac695fcf89131d54ac3187ec3e2d519ebf62c72f7e6b81d388b22e5fa1ef2437e13c9af82df029afac76968d SHA512 40537e6d82dd17ca8b09f5b7ba7c04bdd96b39203ed3ae834b173f11316de151e63b8cb85d830c811d629c05ffa642183fa845534cc073f16242ee75991e17be
 DIST orjson-3.11.9.tar.gz 5599163 BLAKE2B fe04935f4a70d7f66fd68474a8ec610dbe7779e184a1af7ff82271de417b75b9f098df1ad13b62064a2fa91232d344c6c108019460fd4ceb008a9576d4b53554 SHA512 2da014dc010d15335c77687bf00754788fe43da1fd122590166951cd86448df08f2f6fc638b79f63d3e3c5fd76c1be34fbe7f3b3f27182984b97fc5054ac6e40
 DIST orjson-3.11.9.tar.gz.provenance 9504 BLAKE2B 99adb9dee2f7697a3eae35f45fe71ab015f789085ce89a3cc07202c510f62c907be4df722094b00e50663ff6152027fc9300d20f2a34f8211e2af87a1b4599fb SHA512 0f5ed836393177840a80fc89e16d0e1ac2427e822109a00a24f77250d9899c109d3a65f941c099f13a87c96960cff3bcc09048cabb4ffe12bbc5024e7d1f2e81
+DIST orjson-3.12.0.tar.gz 4142915 BLAKE2B c87e3431f65a0b8b4f9c3d70cf1016ceef1ae60826876353c4ece07b07cff3af5930402ee976b06c09c50c294cd09c55f12057b5870032a7e83ad545f62bb73f SHA512 36b89cf3151c9d101db1e0c61353093c461362db8d1e62512aa2dfbb91e52a6d83f00049ada59cbb7417fcef90bbd3a8b04602db383393abcac13887d6dd3b17
+DIST orjson-3.12.0.tar.gz.provenance 9655 BLAKE2B 027329d5c90309b9ccd37cc34ca94e377df838e91eabd89d3e3a467f441d2f43624dbf55f27787560c339e4df09d1304589e8cad5c672c2aad62ef237601dac6 SHA512 2a51ccdc2e6892933051d01050632dc4d6491c14abb70ccefbde40b50d1bfbe39131769013ab692bd07cde26f3e1855903243f0c88ac2ff645d4aea2c06ea88b

diff --git a/dev-python/orjson/orjson-3.12.0.ebuild b/dev-python/orjson/orjson-3.12.0.ebuild
new file mode 100644
index 000000000000..822c3c2da870
--- /dev/null
+++ b/dev-python/orjson/orjson-3.12.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYPI_VERIFY_REPO=https://github.com/ijl/orjson
+PYTHON_COMPAT=( python3_{12..15} )
+
+# upstream is vendoring crates, so we don't need CRATES.
+CRATES="
+"
+RUST_MIN_VER="1.95.0"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy"
+HOMEPAGE="
+	https://github.com/ijl/orjson/
+	https://pypi.org/project/orjson/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0-with-LLVM-exceptions BSD Boost-1.0 MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+	>=dev-util/maturin-1.7.8[${PYTHON_USEDEP}]
+	test? (
+		dev-python/arrow[${PYTHON_USEDEP}]
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/psutil[${PYTHON_USEDEP}]
+		dev-python/pytz[${PYTHON_USEDEP}]
+	)
+"
+
+QA_FLAGS_IGNORED=".*"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_unpack() {
+	pypi_src_unpack
+
+	# https://github.com/ijl/orjson/issues/613
+	cargo_gen_config
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.